# Class ImmutableSessionInfo.Builder

java.lang.Object
com.databricks.jdbc.api.impl.ImmutableSessionInfo.Builder

Enclosing class:
  `ImmutableSessionInfo`

@NotThreadSafe public static final class ImmutableSessionInfo.Builder extends Object
Builds instances of type `ImmutableSessionInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

## Method Summary

Modifier and Type
Method
Description
`ImmutableSessionInfo`
`build()`
Builds a new `ImmutableSessionInfo`.
`final ImmutableSessionInfo.Builder`
`computeResource(IDatabricksComputeResource computeResource)`
Initializes the value for the `computeResource` attribute.
`final ImmutableSessionInfo.Builder`
`from(SessionInfo instance)`
Fill a builder with attribute values from the provided `SessionInfo` instance.
`final ImmutableSessionInfo.Builder`
`sessionHandle(TSessionHandle sessionHandle)`
Initializes the value for the `sessionHandle` attribute.
`final ImmutableSessionInfo.Builder`
`sessionId(String sessionId)`
Initializes the value for the `sessionId` attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### from

@CanIgnoreReturnValue public final ImmutableSessionInfo.Builder from(SessionInfo instance)
Fill a builder with attribute values from the provided `SessionInfo` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.

Parameters:
  `instance` - The instance from which to copy values
Returns:
  `this` builder for use in a chained invocation

### sessionId

@CanIgnoreReturnValue public final ImmutableSessionInfo.Builder sessionId(String sessionId)
Initializes the value for the `sessionId` attribute.

Parameters:
  `sessionId` - The value for sessionId
Returns:
  `this` builder for use in a chained invocation

### computeResource

@CanIgnoreReturnValue public final ImmutableSessionInfo.Builder computeResource(IDatabricksComputeResource computeResource)
Initializes the value for the `computeResource` attribute.

Parameters:
  `computeResource` - The value for computeResource
Returns:
  `this` builder for use in a chained invocation

### sessionHandle

@CanIgnoreReturnValue public final ImmutableSessionInfo.Builder sessionHandle(@Nullable TSessionHandle sessionHandle)
Initializes the value for the `sessionHandle` attribute.

Parameters:
  `sessionHandle` - The value for sessionHandle (can be `null`)
Returns:
  `this` builder for use in a chained invocation

### build

public ImmutableSessionInfo build()
Builds a new `ImmutableSessionInfo`.

Returns:
  An immutable instance of SessionInfo
Throws:
  `IllegalStateException` - if any required attributes are missing